---
variables:
  KUBE_CONTEXT: ""
  ENVIRONMENT: "default"

.lint-helmfile:
  stage: lint
  image:
    name: ghcr.io/helmfile/helmfile:v0.163.1
    entrypoint: ['']
  script:
    - helmfile --environment ${ENVIRONMENT} --kube-context=${KUBE_CONTEXT} lint

.diff-helmfile:
  stage: diff
  image:
    name: ghcr.io/helmfile/helmfile:v0.163.1
    entrypoint: ['']
  script:
    - helmfile --environment ${ENVIRONMENT} --kube-context=${KUBE_CONTEXT} diff

.deploy-helmfile:
  stage: deploy
  image:
    name: ghcr.io/helmfile/helmfile:v0.163.1
    entrypoint: ['']
  script:
    - helmfile --environment ${ENVIRONMENT} --kube-context=${KUBE_CONTEXT} apply